Get Pomodoro entryGET

Description

Returns a single Pomodoro entry.

Permissions

The API token needs All data read access.

Request format

curl https://kanbanflow.com/api/v1/pomodoro-entries/<POMODORO_ENTRY_ID>

Example request

curl https://kanbanflow.com/api/v1/pomodoro-entries/EyS84FdLk

Example response

{
    "_id": "EyS84FdLk",
    "userId": "UHJ9JgtA",
    "targetWorkMinutes": 25,
    "success": false,
    "interruptionReason": "Colleague interrupted",
    "startTimestamp": "2023-01-02T08:30:00Z",
    "parts": [
        {
            "endTimestamp": "2023-01-02T08:45:00Z",
            "taskId": "T3s6UGyzY",
            "boardId": "BZrWANX8T"
        },
        {
            "endTimestamp": "2023-01-02T08:51:00Z",
            "taskId": "TZ8avKBVt",
            "boardId": "BZrWANX8T"
        }
    ]
}

Response properties

PropertyTypeComment
_idStringThe ID of the Pomodoro entry.
userIdStringThe ID of the user that added the Pomodoro entry.
targetWorkMinutesIntegerThe user defined duration in minutes of a complete Pomodoro.
successBooleanTrue if Pomodoro points were given for this session.
interruptionReasonStringIf Pomodoro was interrupted this is the reason the user gave.
startTimestampStringThe UTC timestamp when the Pomodoro entry started, for example 2023-12-31T09:00:00Z.
partsArrayRefers to parts of the Pomodoro session. Each part includes task ID, board ID and end timestamp.
The end timestamp is a UTC timestamp, for example 2023-12-31T17:00:00Z.
commentStringA comment to the time entry. Only included when set.
labelNamesArrayLabels for the time entry. Only included when there are any items. Example: ["Billable", "Project X"].